summaryrefslogtreecommitdiffstats
path: root/elchos/root-image/root/.automated_script.sh
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-04-02 11:15:54 +0200
committermakefu <github@syntax-fehler.de>2014-04-02 11:15:54 +0200
commit732876299f4dccb4caa3a915879d2b5945bbdd42 (patch)
tree779db4d8f7cfb6223b6d47bd2f157143a48760f8 /elchos/root-image/root/.automated_script.sh
parenteb83b606a5baadcf35353b5461d2a0e520ecba6c (diff)
filehooker is now elchOS
Diffstat (limited to 'elchos/root-image/root/.automated_script.sh')
-rwxr-xr-xelchos/root-image/root/.automated_script.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/elchos/root-image/root/.automated_script.sh b/elchos/root-image/root/.automated_script.sh
new file mode 100755
index 00000000..fb106dae
--- /dev/null
+++ b/elchos/root-image/root/.automated_script.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+script_cmdline ()
+{
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ script=*) echo "${param##*=}" ; return 0 ;;
+ esac
+ done
+}
+
+automated_script ()
+{
+ local script rt
+ script="$(script_cmdline)"
+ if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
+ if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
+ wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "${script}" /tmp/startup_script
+ rt=$?
+ fi
+ if [[ ${rt} -eq 0 ]]; then
+ chmod +x /tmp/startup_script
+ /tmp/startup_script
+ fi
+ fi
+}
+
+if [[ $(tty) == "/dev/tty1" ]]; then
+ automated_script
+fi